Bug 510788 - (WebShell) Review Request: WebShell - Encrypted shell access via web browser
Review Request: WebShell - Encrypted shell access via web browser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 14:46 EDT by Chris Tyler
Modified: 2009-08-25 00:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: 0.9.6-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 00:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Tyler 2009-07-10 14:46:46 EDT
Spec URL: http://chris.tylers.info/rpm/WebShell.spec
SRPM URL: http://chris.tylers.info/rpm/WebShell-0.9.6-1.fc11.src.rpm
Description: WebShell provides shell access via a web browser. It includes a standalone python AJAX web server and an html/js/css browser application which use ssl to encrypt the connection from the browser to the server and ssh to encrypt the connection from the AJAX server to a standard ssh daemon. It includes a touch keyboard so that it can be used from a touchscreen mobile device which has no hardware keyboard.

rpmlint output:
$ rpmlint SPECS/WebShell.spec SRPMS/WebShell-0.9.6-1.fc11.src.rpm RPMS/noarch/WebShell-0.9.6-1.fc11.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Ian Weller 2009-07-22 11:46:03 EDT
I'm taking this. woo
Comment 2 Ian Weller 2009-07-22 11:47:04 EDT
[  OK  ] specfiles match:
  464c9e41ff8ccc3504dd92c43c795907  WebShell.spec
  464c9e41ff8ccc3504dd92c43c795907  WebShell-0.9.6-1.fc11.src/WebShell.spec
[  OK  ] source files match upstream:
  5efa06473bef8dfb2049a15d99b76d8e  WebShell-0.9.6.zip
  5efa06473bef8dfb2049a15d99b76d8e  WebShell-0.9.6-1.fc11.src/WebShell-0.9.6.zip
[  OK  ] package meets naming and versioning guidelines.
[FAILED] spec is properly named, cleanly written, and uses macros consistently.
  %{buildroot} or $RPM_BUILD_ROOT?
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[FAILED] license is open source-compatible.
  uh www/background.jpg looks fairly familiar to something from OS X, please check
  also please check with upstream on all artwork and perhaps CSS/JS
[  N/A ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  N/A ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  N/A ] debuginfo package looks complete.
[  OK  ] rpmlint is silent.
[  OK  ] final provides and requires are sane
[  N/A ] %check is present and all tests pass:
[  N/A ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[FAILED] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  N/A ] no headers.
[  N/A ] no pkgconfig files.
[  N/A ] no libtool .la droppings.
[  N/A ] desktop files valid and installed properly.

Please fix these items
Comment 3 Chris Tyler 2009-07-22 12:50:40 EDT
> [FAILED] spec is properly named, cleanly written, and uses macros consistently.
>  %{buildroot} or $RPM_BUILD_ROOT?

Foiled by rpmdev-newspec. Changed to macro format for consistency.



> [FAILED] scriptlets match those on ScriptletSnippets page.

Guidelines say: "SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity." -- it does not say that ScriptletSnippets are the only acceptable ones.

This scriptlet seems sane to me, and is similar to what the ssh server package does when it generates a host key.



> [FAILED] license is open source-compatible.
>  uh www/background.jpg looks fairly familiar to something from OS X, please
check
>  also please check with upstream on all artwork and perhaps CSS/JS

Checking with upstream.
Comment 4 Ian Weller 2009-07-22 12:52:34 EDT
(In reply to comment #3)
> > [FAILED] scriptlets match those on ScriptletSnippets page.
> 
> Guidelines say: "SHOULD: If scriptlets are used, those scriptlets must be sane.
> This is vague, and left up to the reviewers judgement to determine sanity." --
> it does not say that ScriptletSnippets are the only acceptable ones.
> 
> This scriptlet seems sane to me, and is similar to what the ssh server package
> does when it generates a host key.

I'd rather see it done as a README.fedora type of instruction or something done when first running the package. It's somewhat confusing to see when installing the RPM unless you know exactly what that stuff means.

> > [FAILED] license is open source-compatible.
> >  uh www/background.jpg looks fairly familiar to something from OS X, please
> check
> >  also please check with upstream on all artwork and perhaps CSS/JS
> 
> Checking with upstream.  

Thanks.
Comment 5 Ian Weller 2009-07-22 12:56:45 EDT
Two more things -- you forgot links to the fixed spec, and you need a specific Requires on openssl because of how make_certificate.sh is run.
Comment 6 Chris Tyler 2009-07-22 14:31:32 EDT
I wasn't going to post the revised spec until I heard from upstream -- but decided to replace the background image instead:

SPEC: http://chris.tylers.info/rpm/WebShell.spec
SRPM: http://chris.tylers.info/rpm/WebShell-0.9.6-3.fc10.src.rpm

Notes:
- The background.jpg image replacement is done during build (the tarball is pristine). Not sure if this is the best approach, but want to avoid a modified tarball if possible.
- Added Requires: openssl
Comment 7 Chris Tyler 2009-07-22 14:33:15 EDT
Release 3 also disables %post and adds README.fedora
Comment 8 Chris Tyler 2009-07-22 14:37:51 EDT
Considered using LatteCat but didn't know the license for that image.
Comment 9 Ian Weller 2009-07-22 21:37:18 EDT
At this point I would recommend you complain to upstream about that image but they look pretty inactive. Oh well.

(In reply to comment #2)
> [FIXED ] spec is properly named, cleanly written, and uses macros consistently.
> [FIXED ] license is open source-compatible.
> [FIXED ] scriptlets match those on ScriptletSnippets page.

---------------------------------------------------------
  This package (WebShell) is APPROVED by me (ianweller)
---------------------------------------------------------
Comment 10 Chris Tyler 2009-07-22 23:52:45 EDT
New Package CVS Request
=======================
Package Name: WebShell
Short Description: SSL server for web-based SSH access from browsers and mobile devices
Owners: ctyler
Branches: F-10 F-11
InitialCC:
Comment 11 Jason Tibbitts 2009-07-23 12:38:35 EDT
CVS done.
Comment 12 Fedora Update System 2009-08-01 10:38:15 EDT
WebShell-0.9.6-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/WebShell-0.9.6-3.fc11
Comment 13 Fedora Update System 2009-08-01 10:45:09 EDT
WebShell-0.9.6-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/WebShell-0.9.6-3.fc10
Comment 14 Fedora Update System 2009-08-01 19:55:33 EDT
WebShell-0.9.6-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update WebShell'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8196
Comment 15 Fedora Update System 2009-08-01 20:02:34 EDT
WebShell-0.9.6-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update WebShell'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8219
Comment 16 Fedora Update System 2009-08-25 00:28:20 EDT
WebShell-0.9.6-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-08-25 00:31:08 EDT
WebShell-0.9.6-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.